summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorgustawho2021-05-15 13:29:54 -0600
committergustawho2021-05-15 13:29:54 -0600
commit5cffe8cb5a4ead8fb61413b863351332f5c65b6a (patch)
treed7c70a8f210977d588899c39703fbcce679cc3c2
downloadaur-5cffe8cb5a4ead8fb61413b863351332f5c65b6a.tar.gz
Package added
-rw-r--r--.SRCINFO31
-rw-r--r--PKGBUILD33
2 files changed, 64 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..b9e6f3d2639
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,31 @@
+pkgbase = kasts-git
+ pkgdesc = Kirigami-based podcast player
+ pkgver = r542.eab5d08
+ pkgrel = 1
+ url = https://invent.kde.org/plasma-mobile/kasts
+ arch = x86_64
+ arch = arm
+ arch = armv7h
+ arch = armv6h
+ arch = aarch64
+ license = GPL2
+ makedepends = extra-cmake-modules
+ makedepends = git
+ makedepends = qt5-svg
+ makedepends = qt5-tools
+ depends = qt5-multimedia
+ depends = qt5-quickcontrols2
+ depends = purpose
+ depends = kirigami2
+ depends = ki18n
+ depends = kconfig
+ depends = kcoreaddons
+ depends = ki18n
+ depends = syndication
+ provides = kasts
+ conflicts = kasts
+ source = git+https://invent.kde.org/plasma-mobile/kasts.git
+ sha256sums = SKIP
+
+pkgname = kasts-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d314b64c9c8
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer Gustavo Castro < gustawho [ at ] gmail [ dot ] com >
+
+pkgname=kasts-git
+pkgver=r542.eab5d08
+pkgrel=1
+arch=('x86_64' 'arm' 'armv7h' 'armv6h' 'aarch64')
+pkgdesc="Kirigami-based podcast player"
+url="https://invent.kde.org/plasma-mobile/kasts"
+license=('GPL2')
+depends=('qt5-multimedia' 'qt5-quickcontrols2' 'purpose' 'kirigami2'
+ 'ki18n' 'kconfig' 'kcoreaddons' 'ki18n' 'syndication')
+makedepends=('extra-cmake-modules' 'git' 'qt5-svg' 'qt5-tools')
+conflicts=("${pkgname%-git}")
+provides=("${pkgname%-git}")
+source=("git+${url}.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${pkgname%-git}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=RelWithDebInfo -B build -S "${pkgname%-git}"
+ cmake --build build --config RelWithDebInfo
+}
+
+package() {
+ DESTDIR="${pkgdir}" cmake --install build --config RelWithDebInfo
+} \ No newline at end of file